Subject: Re: linux-next: Tree for Mar 10 (mtd/spi-nor/)

From: John Garry <[email-masked]>
Date: Wed, 11 Mar 2020 07:56:23 +0000

On 11/03/2020 07:12, [email-masked] wrote:
> On Tuesday, March 10, 2020 7:14:13 PM EET John Garry wrote:
>> EXTERNAL EMAIL: Do not click links or open attachments unless you know the
>> content is safe
>>
>> +
>>
>> On 10/03/2020 14:37, Randy Dunlap wrote:
>>> On 3/10/20 2:19 AM, Stephen Rothwell wrote:
>>>> Hi all,
>>>>
>>>> Changes since 20200306:
>>>>
>>>> Removed tree: nfc-next (abanboned)
>>>>
>>>                                 doned
>>>
>>> on i386:
>>>
>>> WARNING: unmet direct dependencies detected for MTD_SPI_NOR
>>
>> Uh, so kbuild honors a "select" of a config option which has unmet
>> dependencies:
>>
>> https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/tree/Docu
>> mentation/kbuild/kconfig-language.rst?h=v5.6-rc5#n143
>>
>> So this looks introduced by:
>>
>> https://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git/commit/d
>> rivers/spi/Kconfig?h=next-20200310&id=e14572c52546c16e159c4c1814984843a119e8
> 
> Hi, John,
> 
> Is there any need to select the MTD_SPI_NOR in SPI_HISI_SFC_V3XX? Can't we
> just drop the select?

Yes, I think that we can just drop it. That effectively reverts Joe's 
change. The reason I added the select wasn't for building, but just for 
practicality - MTD_SPI_NOR enables the driver of the devices attached.

In response to Randy:

 >>> So this looks introduced by:
 >>>
 >>> 
https://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git/commit/drivers/spi/Kconfig?h=next-20200310&id=e14572c52546c16e159c4c1814984843a119e823
 >>>
 >>>>     Depends on [m]: MTD [=m] && SPI_MASTER [=y] >    Selected by [y]:
 >>>>     - SPI_HISI_SFC_V3XX [=y] && SPI [=y] && SPI_MASTER [=y] && 
(ARM64 && ACPI [=y] || COMPILE_TEST [=y]) && HAS_IOMEM [=y]
 >>
 >> Would it be acceptable to move the Kconfig entry for this:
 >>
 >> config SPI_HISI_SFC_V3XX
 >> 	tristate "HiSilicon SPI-NOR Flash Controller for Hi16XX chipsets"
 >> 	depends on (ARM64 && ACPI) || COMPILE_TEST
 >> 	depends on HAS_IOMEM
 >> 	select MTD_SPI_NOR
 >>
 >> into drivers/mtd/spi-nor/Kconfig, say after this one:
 >>
 >> config SPI_HISI_SFC
 >> 	tristate "Hisilicon FMC SPI-NOR Flash Controller(SFC)"
 >> 	depends on ARCH_HISI || COMPILE_TEST
 >> 	depends on HAS_IOMEM
 >>
 >> and drop the "select MTD_SPI_NOR" because when it's in 
drivers/mtd/spi-nor/Kconfig,
 >> it will depend on MTD_SPI_NOR.
 >>
 >
 > These changes to 2 Kconfig files does fix the kconfig warning and 
build errors.
 > I don't know if it's acceptable, or if the source file also wants to be
 > relocated.  (I almost said "needs to be relocated," but it builds 
fine without
 > that change.)

As above, I think that we can drop the select for now. I'll do some 
building test for that - even though it should be same as pre-e14572c52546

Thanks